-- reload recipes and technologies in game from prototypes (aka update existing ones with changes)
for i, player in ipairs(game.players) do
  player.force.resetrecipes()
  player.force.resettechnologies()
end

for index, force in pairs(game.forces) do
  -- generate technology / recipes tables once and store them
  local tech = force.technologies
  local recipes = force.recipes
 
  -- if this tech exists and is researched then
  if tech["logistics"] and tech["logistics"].researched then
  
    -- these checks are really only for if another mod changes things
    if recipes["basic-divider"] then
      recipes["basic-divider"].enabled = true
    end
    if recipes["basic-separator"] then
      recipes["basic-separator"].enabled = true
    end
  end

  if tech["logistics-2"] and tech["logistics-2"].researched then
    if recipes["fast-divider"] then
      recipes["fast-divider"].enabled = true
    end
    if recipes["fast-separator"] then
      recipes["fast-separator"].enabled = true
    end
  end

  if tech["logistics-3"] and tech["logistics-3"].researched then
    if recipes["express-divider"] then
      recipes["express-divider"].enabled = true
    end
    if recipes["express-separator"] then
      recipes["express-separator"].enabled = true
    end
  end
end